# Test program for Capacitive Sensor W01
# Tested on Pico Lipo with SSD1306 display
# Tony Goodhew 7th March 2023
import utime
from machine import Pin, I2C
from ssd1306 import SSD1306_I2C

WIDTH  = 128    # oled display width
HEIGHT = 64     # oled display height

sda=machine.Pin(4) # 0
scl=machine.Pin(5) # 1
i2c=machine.I2C(0,sda=sda, scl=scl, freq=400000)
# Check addr in library if not working - 0x3C or 0x3D
print(i2c.scan())
oled = SSD1306_I2C(128, 64, i2c)

# Clear the oled display in case it has junk on it.
oled.fill(0) # Black

A=machine.ADC(28) # Set up the ADC ports
B=machine.ADC(27)

while True:
    Ap = int(A.read_u16())
    Bp = int(B.read_u16())
    # Output to SSD1306    
    oled.fill(0)    
    oled.text(str(Ap),0,10)    
    oled.text(str(Bp),0,20)    
    dif = Ap-Bp    
    oled.text(str(dif),0,40)
    oled.show()
    # Output to Shell    
    print(Ap,Bp, dif)
    
    utime.sleep(0.33) # Idle time
    